> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vin.gs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1budgetssummary



## OpenAPI

````yaml https://external.vin.gs/api/openapi.json get /v1/budgets/summary
openapi: 3.1.0
info:
  title: Vings External API
  version: 0.1.0
  description: Readonly external API for authenticated Vings financial data.
servers:
  - url: https://external.vin.gs/api
    description: Production
security: []
tags:
  - name: Transactions
    description: Transaction search and recurring payments
  - name: Cashflow
    description: Cashflow summaries
  - name: Spending
    description: Spending aggregates and merchants
  - name: Budgets
    description: Budget categories and summaries
  - name: Banks
    description: Connected bank status
  - name: Portfolio
    description: Portfolio snapshots and history
  - name: Preferences
    description: User preferences
  - name: OAuth
    description: OAuth protected-resource metadata (RFC 9728)
  - name: Health
    description: Liveness and readiness
  - name: User
    description: Authenticated user
  - name: MCP
    description: Model Context Protocol JSON-RPC transport
paths:
  /v1/budgets/summary:
    get:
      tags:
        - Budgets
      parameters:
        - schema:
            type: string
          required: false
          name: month
          in: query
        - schema:
            type: string
          required: false
          name: year
          in: query
      responses:
        '200':
          description: Budget category summary
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    category:
                      anyOf:
                        - type: string
                          enum:
                            - BOOKS
                            - CINEMA
                            - CONCERT
                            - HOBBY
                            - MUSIC
                            - NIGHTLIFE
                            - SPORTS
                            - SUBSCRIPTIONS
                            - VACATION
                            - VIDEO_GAMES
                        - type: string
                          enum:
                            - DRINKS
                            - COFFEE
                            - DELIVERY
                            - FAST_FOOD
                            - GROCERIES
                            - RESTAURANT
                            - VENDING_MACHINE
                        - type: string
                          enum:
                            - DOCTOR
                            - DENTIST
                            - MEDICINE
                            - PHARMACY
                            - THERAPY
                            - VISION
                        - type: string
                          enum:
                            - ELECTRICITY
                            - FURNITURE
                            - HARDWARE
                            - INTERNET
                            - MAINTANANCE
                            - PHONE
                            - RENT
                            - HYDRO
                        - type: string
                          enum:
                            - BEAUTY
                            - CHARITY
                            - CLOTHING
                            - EDUCATION
                            - GYM
                            - HAIR
                            - HOTEL
                            - PET
                            - SHOPPING
                        - type: string
                          enum:
                            - ATM
                            - CREDIT_CARD
                            - CAR_LOAN
                            - MORTGAGE
                            - INSURANCE
                            - STUDENT_LOAN
                            - TAXES
                            - TRANSFER_OUT
                        - type: string
                          enum:
                            - ACCOUNTING
                            - BANK_COST
                            - CHILDCARE
                            - ELECTRONICS
                            - GIFTS
                            - SHIPPING
                            - SUPPLIES
                            - OTHER
                        - type: string
                          enum:
                            - BIKESHARE
                            - BUS
                            - GAS
                            - FLIGHT
                            - PARKING
                            - REPAIR
                            - TAXI
                            - TRAIN
                      description: Expense category name
                    total:
                      type: object
                      properties:
                        amount_cents:
                          type: number
                        currency:
                          type: string
                      required:
                        - amount_cents
                        - currency
                      description: >-
                        Total spending in this category for the specified
                        month/year
                    target:
                      type: object
                      properties:
                        amount_cents:
                          type: number
                        currency:
                          type: string
                      required:
                        - amount_cents
                        - currency
                      description: Budget target amount for this category (if set by user)
                    currency:
                      type: string
                      description: Currency code for the amounts
                  required:
                    - category
                    - total
                    - currency
                description: >-
                  Array of budget category summaries showing spending vs.
                  targets for each category
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid bearer token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: UNAUTHORIZED
            message:
              type: string
              example: Missing bearer token
            details:
              nullable: true
            requestId:
              type: string
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Vings OAuth access token or personal access token (`vng_pat_…`). Use
        `Authorization: Bearer …`.

````